Subject: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Drew Adams <[email-masked]>
Date: Mon, 20 Jan 2025 03:48:06 +0000

Still not following this thread.  But if the plan
is to make `dired-map-over-marks' prevent things
such as reverting, then a priori I'm not in favor
of that.  A priori, I think that macro should
implement no such control, and make _few or no
assumptions_ about the context in which it's used
or the purposes to which it might be put to use.
Such control is not its role.

If some particular _use_ of the macro should
provide some such control, e.g., should not let
XYZ happen, then fix that function instead (even
if that might mean not using the macro there).

The macro itself should stay general & unassuming.

Yeah, what I'm saying is vague.  And I'm not
following the bug thread.  But it smells/feels
kinda like preparation to throw out the baby
with the bathwater.  Especially when I see
questions about the difference between the
macro and `dired-get-marked-files'.

If you need some different behavior in a more
_general_ way, i.e., at the level of a building
block and not just a fix to some particular
function, then consider adding a _new_ general
function/macro, instead of changing
`dired-map-over-marks.

Please be sure you change/fix only something
that's specifically broken, without redefining
this longstanding building block based on
unnecessary assumptions.